Bug 78744 - Add LayoutUnit version of StylePropertySet::setProperty
Summary: Add LayoutUnit version of StylePropertySet::setProperty
Status: RESOLVED INVALID
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Emil A Eklund
URL:
Keywords:
Depends on: 78589
Blocks: 63567
  Show dependency treegraph
 
Reported: 2012-02-15 14:24 PST by Emil A Eklund
Modified: 2012-03-09 13:59 PST (History)
4 users (show)

See Also:


Attachments
Patch (7.14 KB, patch)
2012-02-15 14:30 PST, Emil A Eklund
no flags Details | Formatted Diff | Diff
Patch (8.25 KB, patch)
2012-02-16 12:24 PST, Emil A Eklund
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Emil A Eklund 2012-02-15 14:24:26 PST
Add version of setProperty method that takes a LayoutUnit value and a type.
Comment 1 Emil A Eklund 2012-02-15 14:30:35 PST
Created attachment 127237 [details]
Patch
Comment 2 Antti Koivisto 2012-02-15 14:42:18 PST
Comment on attachment 127237 [details]
Patch

This will need some changed when https://bugs.webkit.org/show_bug.cgi?id=78589 lands.  It would be better wait until that. You will need setInlineStyleProperty version in StyledElement and the invalidation code in StylePropertySet::setProperty will go away.
Comment 3 Emil A Eklund 2012-02-15 14:44:07 PST
I'll wait until 78589 lands, thanks.
Comment 4 WebKit Review Bot 2012-02-15 23:44:16 PST
Attachment 127237 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/update-webkit']" exit_code: 9

Updating OpenSource
First, rewinding head to replay your work on top of it...
Applying: dataTransfer.types (HTML5 drag & drop) should return DOMStringList
Using index info to reconstruct a base tree...
<stdin>:84: trailing whitespace.
        
<stdin>:333: trailing whitespace.
<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
<stdin>:334: trailing whitespace.
 width="300" height="300" onload="runRepaintTest()">
<stdin>:335: trailing whitespace.
<script xlink:href="../../fast/repaint/resources/repaint.js" />
<stdin>:336: trailing whitespace.
<script><![CDATA[
warning: squelched 16 whitespace errors
warning: 21 lines add whitespace errors.
Falling back to patching base and 3-way merge...
Auto-merging LayoutTests/ChangeLog
Auto-merging Source/WebCore/ChangeLog
CONFLICT (content): Merge conflict in Source/WebCore/ChangeLog
Failed to merge in the changes.
Patch failed at 0001 dataTransfer.types (HTML5 drag & drop) should return DOMStringList

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at Tools/Scripts/update-webkit line 164.


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 WebKit Review Bot 2012-02-16 11:50:26 PST
Attachment 127237 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/update-webkit']" exit_code: 9

Updating OpenSource
First, rewinding head to replay your work on top of it...
Applying: dataTransfer.types (HTML5 drag & drop) should return DOMStringList
Using index info to reconstruct a base tree...
<stdin>:84: trailing whitespace.
        
<stdin>:333: trailing whitespace.
<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"
<stdin>:334: trailing whitespace.
 width="300" height="300" onload="runRepaintTest()">
<stdin>:335: trailing whitespace.
<script xlink:href="../../fast/repaint/resources/repaint.js" />
<stdin>:336: trailing whitespace.
<script><![CDATA[
warning: squelched 16 whitespace errors
warning: 21 lines add whitespace errors.
Falling back to patching base and 3-way merge...
Auto-merging LayoutTests/ChangeLog
CONFLICT (content): Merge conflict in LayoutTests/ChangeLog
Auto-merging LayoutTests/platform/chromium/test_expectations.txt
Auto-merging Source/WebCore/ChangeLog
CONFLICT (content): Merge conflict in Source/WebCore/ChangeLog
Failed to merge in the changes.
Patch failed at 0001 dataTransfer.types (HTML5 drag & drop) should return DOMStringList

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at Tools/Scripts/update-webkit line 164.


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 6 Emil A Eklund 2012-02-16 12:24:40 PST
Created attachment 127427 [details]
Patch
Comment 7 Andreas Kling 2012-02-16 14:27:17 PST
Comment on attachment 127427 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=127427&action=review

> Source/WebCore/editing/DeleteButtonController.cpp:232
> -    outline->setInlineStyleProperty(CSSPropertyWebkitBorderRadius, String::number(borderRadius) + "px");
> +    outline->setInlineStyleProperty(CSSPropertyWebkitBorderRadius, String::number(borderRadius), CSSPrimitiveValue::CSS_PX);

This can't be right, you'd be creating a CSSPrimitiveValue string with CSS_PX as the unit type.
Comment 8 Emil A Eklund 2012-02-16 14:30:44 PST
(In reply to comment #7)
> This can't be right, you'd be creating a CSSPrimitiveValue string with CSS_PX as the unit type.

Oh, of course. Good catch!